import { defineContainer } from './vue-component-lib/utils';
import { defineCustomElements } from '@govbr-ds-testing/webcomponents/loader';
defineCustomElements();
export const BrButton = defineContainer('br-button', undefined, [
    'circle',
    'emphasis',
    'block',
    'density',
    'loading',
    'disabled',
    'active',
    'autofocus',
    'type',
    'value',
    'darkMode',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback'
]);
export const BrCheckbox = defineContainer('br-checkbox', undefined, [
    'checked',
    'disabled',
    'invalid',
    'valid',
    'name',
    'label',
    'value',
    'required',
    'autofocus',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback',
    'checkedChange'
], 'checked', 'v-on-change');
export const BrInput = defineContainer('br-input', undefined, [
    'type',
    'autocomplete',
    'autofocus',
    'density',
    'disabled',
    'inline',
    'icon',
    'button',
    'highlight',
    'success',
    'danger',
    'info',
    'warning',
    'label',
    'max',
    'maxlength',
    'minlength',
    'min',
    'name',
    'pattern',
    'placeholder',
    'readonly',
    'required',
    'size',
    'step',
    'value',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback',
    'valueChange'
], 'value', 'v-on-change');
export const BrItem = defineContainer('br-item', undefined, [
    'disabled',
    'active',
    'selected',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback'
]);
export const BrList = defineContainer('br-list', undefined, [
    'density',
    'title',
    'horiontal',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback'
]);
export const BrRadio = defineContainer('br-radio', undefined, [
    'checked',
    'disabled',
    'invalid',
    'valid',
    'name',
    'label',
    'value',
    'required',
    'autofocus',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback',
    'checkedChange'
], 'checked', 'v-on-change');
export const BrTextarea = defineContainer('br-textarea', undefined, [
    'value',
    'label',
    'textAux',
    'placeholder',
    'density',
    'required',
    'autofocus',
    'brConnectedCallback',
    'brComponentWillLoad',
    'brComponentDidLoad',
    'brComponentWillRender',
    'brComponentDidRender',
    'brComponentShouldUpdate',
    'brComponentWillUpdate',
    'brComponentDidUpdate',
    'brDisconnectedCallback',
    'valueChange'
], 'value', 'v-on-change');
//# sourceMappingURL=components.js.map